cpg_inst Struct Reference
Collaboration diagram for cpg_inst:
[legend]

## Data Fields

qb_ipcc_connection_t * | c
int | finalize
void * | context
union { |
cpg_model_data_t model_data |
cpg_model_v1_data_t model_v1_data |
}; |
struct qb_list_head | iteration_list_head
uint32_t | max_msg_size
struct qb_list_head | assembly_list_head

## Detailed Description

Definition at line 92 of file lib/cpg.c.

## Field Documentation

## [union]

union { ... } cpg_inst

## assembly_list_head

struct qb_list_head cpg_inst::assembly_list_head

Definition at line 102 of file lib/cpg.c.

Referenced by cpg_dispatch(), and cpg_model_initialize().

## c

qb_ipcc_connection_t* cpg_inst::c

Definition at line 93 of file lib/cpg.c.

Referenced by cpg_dispatch(), cpg_fd_get(), cpg_finalize(), cpg_iteration_initialize(), cpg_join(), cpg_leave(), cpg_local_get(), cpg_mcast_joined(), cpg_membership_get(), cpg_model_initialize(), cpg_zcb_alloc(), cpg_zcb_free(), and cpg_zcb_mcast_joined().

## context

void* cpg_inst::context

Definition at line 95 of file lib/cpg.c.

Referenced by cpg_context_get(), cpg_context_set(), and cpg_model_initialize().

## finalize

int cpg_inst::finalize

Definition at line 94 of file lib/cpg.c.

Referenced by cpg_dispatch(), and cpg_finalize().

## iteration_list_head

struct qb_list_head cpg_inst::iteration_list_head

Definition at line 100 of file lib/cpg.c.

Referenced by cpg_iteration_initialize(), and cpg_model_initialize().

## max_msg_size

uint32_t cpg_inst::max_msg_size

Definition at line 101 of file lib/cpg.c.

Referenced by cpg_max_atomic_msgsize_get(), cpg_mcast_joined(), and cpg_model_initialize().

## model_data

cpg_model_data_t cpg_inst::model_data

Definition at line 97 of file lib/cpg.c.

Referenced by cpg_dispatch(), cpg_join(), and cpg_model_initialize().

## model_v1_data

cpg_model_v1_data_t cpg_inst::model_v1_data

Definition at line 98 of file lib/cpg.c.

Referenced by cpg_dispatch(), cpg_join(), and cpg_model_initialize().

The documentation for this struct was generated from the following file:

- lib/cpg.c